get
https://api.rotowire.com/Football/NFL/Weather.php
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
week | integer | No | Week number to retrieve weather for. Defaults to current week. |
Attributes
Top-Level Fields
| Field | Type | Description |
|---|---|---|
Week | integer | NFL week number |
Season | integer | NFL season year |
Games | array | Games with weather forecast data |
Games Object
| Field | Type | Description |
|---|---|---|
Id | string | Unique game identifier |
DateTime | string | Game date and time. ISO 8601 format |
Weather | object | Weather forecast. Null if forecast not yet available |
Teams | array | Array of team objects |
Weather Object
| Field | Type | Description |
|---|---|---|
TempLow | string | Low temperature in Fahrenheit |
TempHigh | string | High temperature in Fahrenheit |
Condition | string | Weather condition description |
Wind | string | Wind speed and direction |
Precipitation | string | Precipitation probability (%) |
Dome | integer | 1 if game is in a dome, 0 otherwise |
Teams Object
| Field | Type | Description |
|---|---|---|
IsHome | integer | 1 if home team, 0 if away team |
Id | string | Unique RotoWire identifier |
Code | string | Short team code or abbreviation (e.g. NYY, LAL, NE) |
Parameters
| Parameter | Required | Type | Default | Description |
|---|---|---|---|---|
week | no | integer | — | Week number to retrieve weather for. Defaults to current week. |
